## tasksel 3.58

=== debian/changelog ===
tasksel (3.58) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Makefile improvement: don't hardcode the "tasks" directory, use the
    $(DESCDIR) variable.
  * Fix default desktop selection by using the tasksel/desktop debconf setting
    only if it's non empty.

  [ Boyuan Yang ]
  * Drop recommendation to qt4-related packages. Closes: #944115

  [ Holger Wansing ]
  * Use print-manager instead of system-config-printer for KDE installation task.
    Closes: #945846
  * Remove xfce4-mixer from xfce-desktop task (has been removed from the
    archive; successor is xfce4-pulseaudio-plugin). Closes: #946755

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 01 Jan 2020 20:13:37 +0100

tasksel (3.57) unstable; urgency=medium

  * Team upload.
  * tasksel should be priority=optional. Also, priority is to be declared only
    once in control file. (Closes: #855151)

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 19 Nov 2019 19:46:56 +0100

tasksel (3.56) unstable; urgency=high (RC bugfix)

  [ Nicolas Braud-Santoni ]
  * task-spanish: Drop dependency on manpages-es (Closes: #942270)
  * task-xfce-desktop: Use libreoffice-gtk3 instead of -gtk2 (Closes: #939533)
  * Add task-print-server transitional package (Closes: #932818)
  * Declare compliance with policy v4.4.1.
    No change required.

  [ Aron Xu ]
  * Move fonts-arphic-* to Suggests for task-chinese-{s,t}-desktop.
    Closes: #942103

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Wed, 16 Oct 2019 13:41:38 +0200

tasksel (3.55) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Add gnome-initial-setup to task-korean-gnome-desktop.
    GNOME doesn't set the working Korean IM by default without it.
  * Add fonts-noto and fonts-noto-cjk to task-korean-desktop.

  [ Victor Ibragimov ]
  * Updated Tajik translation (tg.po)

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Wed, 28 Aug 2019 14:22:40 +0200

=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Nicolas Braud-Santoni <nicoo@debian.org>
Standards-Version: 4.4.1
Build-Depends: po-debconf, debhelper (>= 9), gettext, dpkg-dev (>= 1.9.0)
Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
Rules-Requires-Root: no

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data, perl-base (>= 5.14.0-1)
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Conflicts: tasksel (<< 2.67)
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-desktop
Architecture: all
Description: Debian desktop environment
 This task package is used to install the Debian desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# support for U2F devices
	libu2f-udev,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Debian desktop, featuring
 the GNOME desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,

Package: task-kde-desktop
Architecture: all
Description: KDE Plasma
 This task package is used to install the Debian desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
	sddm,
Recommends:
# accessibility support
	kdeaccessibility,
# orca works with kde, adding accessibility
	orca,
# cd/dvd burner
	k3b,
	k3b-i18n,
# desktop network setup
	plasma-nm,
# Package management.
	apper,
# temporarily moved from task-desktop due to #525077
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# KDE support in LibreOffice
	libreoffice-kde5,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	print-manager,
# media player
	dragonplayer,

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Debian desktop, featuring
 the LXDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk2,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Debian desktop, featuring
 the LXQt desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
         sddm,
         sddm-theme-debian-elarun | sddm-theme-debian-elarun,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk
	libreoffice-gtk3,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Debian desktop, featuring
 the Xfce desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	lightdm
Recommends:
# a screen saver/locker
	light-locker,
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce text editor
	mousepad,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# support for scanners
	xsane,
# media players
	parole,
	quodlibet,
# pdf viewer
	atril,
# icon theme
	tango-icon-theme,
# network management
	network-manager-gnome,
# package management
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with xfce, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Debian desktop, featuring
 the Cinnamon desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Debian desktop, featuring
 the MATE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,
# orca works with mate, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	avahi-autoipd,
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-print-service
Architecture: all
Description: print service
 This task sets up your system to provide print services. It is required to
 use printers plugged into your system, network printers, or to make available
 printers plugged into this system to other network systems.
Provides: task-print-server
Depends: ${misc:Depends},
	cups
Recommends:
	foomatic-db-engine,
	printer-driver-all,
	hplip,
	hp-ppd,
	openprinting-ppds,

Package: task-print-server
Architecture: all
Section: oldlibs
Description: print service -- transitional package
 This task sets up your system to provide print services. It is required to
 use printers plugged into your system, network printers, or to make available
 printers plugged into this system to other network systems.
 .
 This is a transitional package, task-print-server was renamed to
 task-print-service.
Depends: ${misc:Depends}, task-print-service

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server,
Recommends:
	openssh-client,

Package: task-albanian-desktop
Architecture: all
Description: Albanian desktop
 This task localises the desktop in Albanian.
Depends: ${misc:Depends},
Recommends:
	firefox-esr-l10n-sq | firefox-l10n-sq,
	myspell-sq,

Package: task-amharic
Architecture: all
Description: Amharic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Amharic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-am

Package: task-amharic-desktop
Architecture: all
Description: Amharic desktop
 This task localises the desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	fonts-sil-abyssinica,
	fcitx,
	fcitx-table-amharic,
	fcitx-frontend-gtk2,
	fcitx-frontend-gtk3,
	fcitx-config-gtk

Package: task-amharic-kde-desktop
Architecture: all
Description: Amharic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Amharic.
Depends: ${misc:Depends},
Recommends:
	fcitx-frontend-qt5,
	kde-config-fcitx

Package: task-arabic
Architecture: all
Description: Arabic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Arabic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	fonts-arabeyes,
	aspell-ar,
	aspell-ar-large,
	itools

Package: task-arabic-desktop
Architecture: all
Description: Arabic desktop
 This task localises the desktop in Arabic.
Depends: ${misc:Depends},
Recommends:
	fonts-kacst,
	fonts-farsiweb,
	firefox-esr-l10n-ar | firefox-l10n-ar,
	libreoffice-l10n-ar,
	hunspell-ar

Package: task-arabic-kde-desktop
Architecture: all
Description: Arabic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Arabic.
Depends: ${misc:Depends},
Recommends:
	kde-l10n-ar

Package: task-asturian
Architecture: all
Description: Asturian environment
 This task installs packages and documentation in Asturian

## tasksel 3.59

=== debian/changelog ===
tasksel (3.59) unstable; urgency=medium

  [ Didier Raboud ]
  * Remove task-print-service. CUPS is now the de-facto only print server and
    is already pulled by the concerned desktop environments.  Closes: #950553

  [ Timo Jyrinki ]
  * Add libenchant-2-voikko for Finnish.
  * Add giella-sme and libenchant-2-voikko for Northern Sami, remove
    hunspell-se (lower quality spell-checking).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 08 Mar 2020 21:35:08 +0100

=== debian/control ===
--- 
+++ 
@@ -323,34 +323,6 @@
 	apache2-doc,
 	analog,
 
-Package: task-print-service
-Architecture: all
-Description: print service
- This task sets up your system to provide print services. It is required to
- use printers plugged into your system, network printers, or to make available
- printers plugged into this system to other network systems.
-Provides: task-print-server
-Depends: ${misc:Depends},
-	cups
-Recommends:
-	foomatic-db-engine,
-	printer-driver-all,
-	hplip,
-	hp-ppd,
-	openprinting-ppds,
-
-Package: task-print-server
-Architecture: all
-Section: oldlibs
-Description: print service -- transitional package
- This task sets up your system to provide print services. It is required to
- use printers plugged into your system, network printers, or to make available
- printers plugged into this system to other network systems.
- .
- This is a transitional package, task-print-server was renamed to
- task-print-service.
-Depends: ${misc:Depends}, task-print-service
-
 Package: task-ssh-server
 Architecture: all
 Description: SSH server
@@ -439,3 +411,39 @@
 Architecture: all
 Description: Asturian environment
  This task installs packages and documentation in Asturian
+ to help Asturian speaking people use Debian.
+Depends: ${misc:Depends},
+
+Package: task-asturian-desktop
+Architecture: all
+Description: Asturian desktop
+ This task localises the desktop in Asturian.
+Depends: ${misc:Depends},
+Recommends:
+	libreoffice-l10n-ast,
+	firefox-esr-l10n-ast | firefox-l10n-ast,
+
+Package: task-basque
+Architecture: all
+Description: Basque environment
+ This task installs packages and documentation in Basque
+ to help Basque speaking people use Debian.
+Depends: ${misc:Depends},
+Recommends:
+	aspell-eu
+
+Package: task-basque-desktop
+Architecture: all
+Description: Basque desktop
+ This task localises the desktop in Basque.
+Depends: ${misc:Depends},
+Recommends:
+	firefox-esr-l10n-eu | firefox-l10n-eu,
+	libreoffice-l10n-eu,
+	libreoffice-help-eu,
+	hunspell-eu-es
+
+Package: task-basque-kde-desktop
+Architecture: all
+Description: Basque KDE Plasma desktop
+ This task localises the KDE Plasma desktop in Basque.

## tasksel 3.60

=== debian/changelog ===
tasksel (3.60) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * task-sinhala-desktop: replace obsolete metapackage fonts-noto-hinted by
    fonts-noto-core and fonts-noto-ui-core. Closes: #949766
  * Drop no-longer existing kde-l10n-* packages from various tasks.
    Closes: #949694

  [ Changwoo Ryu ]
  * task-korean-desktop: Remove fonts-nanum-coding, which is now a
    transitional package.

  [ Bryan Quigley ]
  * Switch LibreOffice from other desktop tasks to match the LibreOffice apps
    Gnome brings in.
  * Moved from transitional -kde integration.
  * Switched lxde from removed -gtk2 integration to -gtk3.
  * Added libreoffice-qt5 to LXQt.

  [ Sven Joachim ]
  * Avoid tempfile deprecation warning. Since debianutils 4.10, tempfile is
    deprecated in favor of mktemp. See #972076

  [ Updated debconf translations ]
  * Bulgarian (bg.po) by Damyan Ivanov.
  * Portuguese (pt.po) by Miguel Figueiredo.

  [ Raphaël Hertzog ]
  * Fix the name of the Acquire::Retries option passed to apt-get (the option
    is not part of the "APT" group).

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 06 Nov 2020 11:48:08 +0100

=== debian/control ===
--- 
+++ 
@@ -123,9 +123,12 @@
 # temporarily moved from task-desktop due to #525077
 	gimp,
 # libreoffice is the best word processor / office suite at the moment
-	libreoffice,
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
 # KDE support in LibreOffice
-	libreoffice-kde5,
+	libreoffice-plasma,
+	libreoffice-kf5,
 # make help menu work
 	libreoffice-help-en-us,
 # make thesaurus work
@@ -154,11 +157,13 @@
 	lxlauncher,
 	xsane,
 # libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
-	libreoffice-gtk2,
+	libreoffice-gtk3,
 # Package management.
 	synaptic,
 # libreoffice is the best word processor / office suite at the moment
-	libreoffice,
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
 # make help menu work
 	libreoffice-help-en-us,
 # make thesaurus work
@@ -186,12 +191,15 @@
 Recommends: xsane,
 # orca works with qt, adding accessibility
 	orca,
-# libreoffice widgets using just gtk
+# libreoffice widgets using just gtk and qt
 	libreoffice-gtk3,
+	libreoffice-qt5,
 # Package management.
 	synaptic,
 # libreoffice is the best word processor / office suite at the moment
-	libreoffice,
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
 # make help menu work
 	libreoffice-help-en-us,
 # make thesaurus work
@@ -239,7 +247,9 @@
 # package management
 	synaptic,
 # libreoffice is the best word processor / office suite at the moment
-	libreoffice,
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
 # make help menu work
 	libreoffice-help-en-us,
 # make thesaurus work
@@ -281,7 +291,9 @@
 # Package management.
 	synaptic,
 # libreoffice is the best word processor / office suite at the moment
-	libreoffice,
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
 # make help menu work
 	libreoffice-help-en-us,
 # make thesaurus work
@@ -404,8 +416,6 @@
 Description: Arabic KDE Plasma desktop
  This task localises the KDE Plasma desktop in Arabic.
 Depends: ${misc:Depends},
-Recommends:
-	kde-l10n-ar
 
 Package: task-asturian
 Architecture: all
@@ -438,12 +448,3 @@
  This task localises the desktop in Basque.
 Depends: ${misc:Depends},
 Recommends:
-	firefox-esr-l10n-eu | firefox-l10n-eu,
-	libreoffice-l10n-eu,
-	libreoffice-help-eu,
-	hunspell-eu-es
-
-Package: task-basque-kde-desktop
-Architecture: all
-Description: Basque KDE Plasma desktop
- This task localises the KDE Plasma desktop in Basque.

## tasksel 3.61

=== debian/changelog ===
tasksel (3.61) unstable; urgency=low

  * task-french: Re-add dependency on manpages-fr (Closes: #973873)
  * Switch to debhelper 13.
    Replace the obsolete d/compat with a Build-Depends on debhelper-compat.

  * Update maintainer name
  * Amend changelog for v3.60, mention #972076 in the standard way.
  * d/control: Declare compliance with policy v4.5.1.
    No change required.
  * lintian
    + Override description-too-short
    + Override debconf-related warnings about tasksel
    + Do not warn on lintian ↔ lintian-data circular dep

 -- nicoo <nicoo@debian.org>  Wed, 18 Nov 2020 02:40:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,13 @@
 Section: tasks
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Nicolas Braud-Santoni <nicoo@debian.org>
-Standards-Version: 4.4.1
-Build-Depends: po-debconf, debhelper (>= 9), gettext, dpkg-dev (>= 1.9.0)
+Uploaders: nicoo <nicoo@debian.org>
+Standards-Version: 4.5.1
+Build-Depends:
+	debhelper-compat (= 13),
+	dpkg-dev (>= 1.9.0),
+	gettext,
+	po-debconf
 Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
 Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
 Rules-Requires-Root: no

## tasksel 3.63

=== debian/changelog ===
tasksel (3.63) unstable; urgency=medium

  * Team upload.

  * Re-upload, to allow migration to testing. No source changings.

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 13 Jan 2021 23:12:28 +0100

tasksel (3.62) unstable; urgency=low

  * Team upload.

  [ Dmitry Shachnev ]
  * Add a task for the Gnome Flashback desktop environment. Closes: #805305

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Dec 2020 18:05:23 +0100

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 # The order here is significant when installing this task manually;
 # when tasksel installs this task it instead selects one of these based
 # on the tasksel/desktop debconf setting.
-	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
+	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-gnome-flashback-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
 # For use by third-party apps.
 	xdg-utils,
 # Font with wide unicode coverage, prevents “Unicode tofu”
@@ -101,6 +101,61 @@
 	hyphen-en-us,
 # we need a working network setup at least
 	network-manager-gnome,
+
+Package: task-gnome-flashback-desktop
+Architecture: all
+Description: GNOME Flashback
+ This task package is used to install the Debian desktop, featuring
+ the GNOME Flashback desktop environment, and with other packages that
+ Debian users expect to have available on the desktop.
+Depends: ${misc:Depends},
+	task-desktop,
+# the basic components required for the session
+	gnome-session-flashback,
+# the display manager
+	gdm3,
+# the control center
+	gnome-control-center,
+# some core GNOME applications
+	eog,
+	evince,
+	file-roller,
+	gedit,
+	gnome-calculator,
+	gnome-screenshot,
+	gnome-terminal,
+	totem,
+# network manager applet
+	network-manager-gnome,
+Recommends:
+# GNOME support in LibreOffice
+	libreoffice-gnome,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
+# accessibility support
+	gnome-orca,
+# web browser
+	firefox | firefox-esr,
+# mail client
+	evolution,
+# package management
+	gnome-software,
+# some non-core GNOME applications
+	alacarte,
+	gnome-disk-utility,
+	gnome-documents,
+	gnome-tweaks,
+	yelp,
 
 Package: task-kde-desktop
 Architecture: all
@@ -399,56 +454,3 @@
 Depends: ${misc:Depends},
 Recommends:
 	fonts-arabeyes,
-	aspell-ar,
-	aspell-ar-large,
-	itools
-
-Package: task-arabic-desktop
-Architecture: all
-Description: Arabic desktop
- This task localises the desktop in Arabic.
-Depends: ${misc:Depends},
-Recommends:
-	fonts-kacst,
-	fonts-farsiweb,
-	firefox-esr-l10n-ar | firefox-l10n-ar,
-	libreoffice-l10n-ar,
-	hunspell-ar
-
-Package: task-arabic-kde-desktop
-Architecture: all
-Description: Arabic KDE Plasma desktop
- This task localises the KDE Plasma desktop in Arabic.
-Depends: ${misc:Depends},
-
-Package: task-asturian
-Architecture: all
-Description: Asturian environment
- This task installs packages and documentation in Asturian
- to help Asturian speaking people use Debian.
-Depends: ${misc:Depends},
-
-Package: task-asturian-desktop
-Architecture: all
-Description: Asturian desktop
- This task localises the desktop in Asturian.
-Depends: ${misc:Depends},
-Recommends:
-	libreoffice-l10n-ast,
-	firefox-esr-l10n-ast | firefox-l10n-ast,
-
-Package: task-basque
-Architecture: all
-Description: Basque environment
- This task installs packages and documentation in Basque
- to help Basque speaking people use Debian.
-Depends: ${misc:Depends},
-Recommends:
-	aspell-eu
-
-Package: task-basque-desktop
-Architecture: all
-Description: Basque desktop
- This task localises the desktop in Basque.
-Depends: ${misc:Depends},
-Recommends:

## tasksel 3.64

=== debian/changelog ===
tasksel (3.64) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Remove manpages-it from task-italian task (package has been removed from
    unstable). Closes: #982035.

  [ Updated debconf translations ]
  * Spanish (es.po) by Javier Fernandez-Sanguino. Closes: #981478

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 14 Feb 2021 18:03:39 +0100

## tasksel 3.65

=== debian/changelog ===
tasksel (3.65) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke ]
  * tasksel-japanese-desktop: prefer uim-mozc over uim-anthy (Closes: #982175)

  [ Holger Wansing ]
  * Re-add manpages-it to task-italian task (package is again available in
    unstable/testing). Closes: #982043.
  * Add manpages translations from newly introduced manpages-l10n package
    (manpages-pt-br, manpages-nl, manpages-mk, manpages-ro, manpages-es)
    to the respective language tasks (see #982043).
  * Re-add synaptic to gnome desktop tasks. Closes: #983074
  * Remove scim-qt-immodule from task-chinese-t-kde-desktop, since it's no
    longer in the archive.

  [ YOSHINO Yoshihito ]
  * Let gnome-flashback-desktop task in Japanese pull
    task-japanese-gnome-desktop. Closes: #983688

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 13 Mar 2021 16:26:46 +0100

=== debian/control ===
--- 
+++ 
@@ -85,6 +85,8 @@
 # The full gnome desktop environment should be included if possible
 # even if the larger gnome metapackage doesn't fit.
 	gnome,
+# Package management
+	synaptic,
 # GNOME support in LibreOffice
 	libreoffice-gnome,
 # libreoffice is the best word processor / office suite at the moment
@@ -150,6 +152,7 @@
 	evolution,
 # package management
 	gnome-software,
+	synaptic,
 # some non-core GNOME applications
 	alacarte,
 	gnome-disk-utility,
@@ -451,6 +454,3 @@
  This task installs programs, data files, fonts, and
  documentation that makes it easier for Arabic speakers
  to use Debian.
-Depends: ${misc:Depends},
-Recommends:
-	fonts-arabeyes,

## tasksel 3.67

=== debian/changelog ===
tasksel (3.67) unstable; urgency=medium

  * Team upload.

  * Add forgotten files in ./tasks/ to make recently added *-gnome-desktop
    packages work.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 18 Apr 2021 12:10:40 +0200

tasksel (3.66) unstable; urgency=medium

  * Team upload.

  [ Shengjing Zhu ]
  * Switch to fcitx5 for Simplified and Traditional Chinese desktop.
    Fcitx5 works for Wayland. (Closes: #983704)

  [ Holger Wansing]
  * GNOME now depends on ibus as input method. For some languages, there are
    additional packages needed, to make ibus work. Adding them for Amharic,
    Simplified chinese, Traditional chinese, Japanese, Kannada, Malayalam and
    Telugu. This requires new task-*-gnome-desktop packages to be added for
    Amharic, Simplified chinese, Traditional chinese, and Kannada.
    Thanks to Shengjing Zhu for working out the circumstances.
    Closes: #941624, #983653.
  * ibus does not have default configurations for all languages, so force
    to create one via gnome-initial-setup for all the languages using ibus.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 20 Mar 2021 16:22:17 +0800

=== debian/control ===
--- 
+++ 
@@ -439,18 +439,17 @@
 	fcitx-frontend-gtk3,
 	fcitx-config-gtk
 
+Package: task-amharic-gnome-desktop
+Architecture: all
+Description: Amharic GNOME desktop
+ This task localises the GNOME desktop in Amharic.
+Depends: ${misc:Depends}
+Recommends:
+	ibus-m17n,
+# ibus doesn't have a default config for all languages, so force creation
+	gnome-initial-setup
+
 Package: task-amharic-kde-desktop
 Architecture: all
 Description: Amharic KDE Plasma desktop
  This task localises the KDE Plasma desktop in Amharic.
-Depends: ${misc:Depends},
-Recommends:
-	fcitx-frontend-qt5,
-	kde-config-fcitx
-
-Package: task-arabic
-Architecture: all
-Description: Arabic environment
- This task installs programs, data files, fonts, and
- documentation that makes it easier for Arabic speakers
- to use Debian.

## tasksel 3.68

=== debian/changelog ===
tasksel (3.68) unstable; urgency=medium

  * Team upload.

  * Drop libu2f-udev from Recommends for task-desktop; it's an transitional
    package now, since starting with udev v244, U2F devices are autodetected
    without needing 3rd party udev rules. Closes: #987770

  [ Updated translations ]
  * Croatian (hr.po) by Valentin Vidic

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 31 May 2021 21:06:32 +0200

=== debian/control ===
--- 
+++ 
@@ -63,8 +63,6 @@
 	iw,
 # sound
 	alsa-utils,
-# support for U2F devices
-	libu2f-udev,
 # For use by users, to elevate privileges
 	sudo,
 # firefox is the most popular web browser at the moment,
@@ -453,3 +451,5 @@
 Architecture: all
 Description: Amharic KDE Plasma desktop
  This task localises the KDE Plasma desktop in Amharic.
+Depends: ${misc:Depends},
+Recommends:

## tasksel 3.68ubuntu2

=== tasks/po/Makefile ===
DOMAIN = debian-tasks
POTFILE = $(DOMAIN).pot
MOS:=$(addsuffix .mo, $(LANGS))

all: $(POTFILE) $(MOS)
	touch build_stamp

$(POTFILE): ../../$(DOMAIN).desc
	sed -e 's/^Description:/_&/' ../../$(DOMAIN).desc | \
		perl -ne 'BEGIN {$$/="\n\n"}; print unless /Section: l10n/' > $(DOMAIN).desc
	PODEBCONF_HEADER=/dev/null debconf-updatepo --podir=.
	mv templates.pot $(POTFILE)-update
	if test -f $(POTFILE); then \
	  if diff -I '^"POT-Creation-Date:' -I '^Report-Msgid-Bugs-To:' $(POTFILE) $(POTFILE)-update >/dev/null 2>&1; then \
	      rm -f $(POTFILE)-update; \
	  else \
	      rm -f $(POTFILE); \
	      mv $(POTFILE)-update $(POTFILE); \
	  fi; \
	else \
	  mv $(POTFILE)-update $(POTFILE); \
	fi

%.mo: %.po
	msgfmt -o $@ $<

clean:
	-rm -f build_stamp
	-rm -f $(DOMAIN).desc
	-rm -f *.mo

update: $(addprefix update-, $(LANGS))

update-%: %.po $(POTFILE)
	mv $< $<.bak
	msgmerge $<.bak $(POTFILE) > $<

=== debian/changelog ===
tasksel (3.68ubuntu2) jammy; urgency=medium

  * debian/control: drop iukrainian Recommends from task-ukrainian as it's no
    longer supported and now NBS.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 06 Dec 2021 14:50:23 +0100

tasksel (3.68ubuntu1) jammy; urgency=medium

  * debian/control: change source Section to 'admin' because
    Launchpad does not know about 'tasks'

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 21 Oct 2021 10:11:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tasksel
-Section: tasks
+Section: admin
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: nicoo <nicoo@debian.org>
 Standards-Version: 4.5.1
 Build-Depends:
@@ -450,6 +451,3 @@
 Package: task-amharic-kde-desktop
 Architecture: all
 Description: Amharic KDE Plasma desktop
- This task localises the KDE Plasma desktop in Amharic.
-Depends: ${misc:Depends},
-Recommends:

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --no-parallel

override_dh_auto_install:
	$(MAKE) install DESTDIR=`pwd`/debian/tasksel
	$(MAKE) install-data DESTDIR=`pwd`/debian/tasksel-data

override_dh_installdocs:
	dh_installdocs --link-doc=tasksel

override_dh_perl:
	dh_perl -d

## tasksel 3.68ubuntu2+11.0trisquel5

=== Makefile ===
DOMAIN=debian-tasks
TASKDESC=$(DOMAIN).desc
TASKDIR=/usr/share/tasksel
DESCDIR=tasks
UDOMAIN=trisquel-tasks
USUITE=aramo
UFLAVOURS=trisquel-desktop triskel trisquel-mini trisquel-sugar trisquel-edu trisquel-pro trisquel-console
UTASKDESC=$(UDOMAIN).desc
UDESCDIR=trisquel-tasks
DESCPO=$(DESCDIR)/po
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu hy id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta te th tl tr uk vi wo zh_CN zh_TW
LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv te th tl tr uk vi wo zh_CN zh_TW
LOCALEDIR=$(DESTDIR)/usr/share/locale

all: $(UTASKDESC) po/build_stamp

$(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
	./doincludes.pl $(DESCDIR)
	./makedesc.pl $(DESCDIR) $(TASKDESC)

$(UDESCDIR): trisquel-seeds.pl
USUITE=aramo

$(UTASKDESC): makedesc.pl $(UDESCDIR)/[a-z]??*
	./makedesc.pl $(UDESCDIR) $(UTASKDESC)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

updatepo:
	$(MAKE) -C po update LANGS="$(LANGS)"

$(DESCPO)/build_stamp:
	$(MAKE) -C $(DESCPO) LANGS="$(LANGS_DESC)"

updatetaskspo:
	$(MAKE) -C $(DESCPO) update LANGS="$(LANGS_DESC)"

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/lib/tasksel/tests \
		$(DESTDIR)/usr/lib/tasksel/packages \
		$(DESTDIR)/usr/share/man/man8
	install -m 755 tasksel.pl $(DESTDIR)/usr/bin/tasksel
	install -m 755 tasksel-debconf $(DESTDIR)/usr/lib/tasksel/
	install -m 644 default_desktop $(DESTDIR)/usr/lib/tasksel/
	install -m 755 filter-tasks $(DESTDIR)/usr/lib/tasksel/
	install -m 755 tests/new-install $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/debconf $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/lang $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 packages/list $(DESTDIR)/usr/lib/tasksel/packages/
	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
	for lang in $(LANGS); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
	done

install-data:
	install -d $(DESTDIR)$(TASKDIR)/descs \
		$(DESTDIR)/usr/lib/tasksel/info \
		$(DESTDIR)/usr/lib/tasksel/tests
	install -m 0644 $(UTASKDESC) $(DESTDIR)$(TASKDIR)/descs
	for test in tests/*; do \
		[ "$$test" = "tests/new-install" ] && continue; \
		[ "$$test" = "tests/debconf" ] && continue; \
		[ "$$test" = "tests/lang" ] && continue; \
		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
	done
	for flavour in $(filter-out platform,$(UFLAVOURS)); do \
		ln -s desktop.preinst $(DESTDIR)/usr/lib/tasksel/info/$$flavour-desktop.preinst; \
	done
	for package in packages/*; do \
		[ "$$package" = "packages/list" ] && continue; \
		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \
	done
#Dropped
#	for lang in $(LANGS_DESC); do \
#		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
#		install -m 644 $(DESCDIR)/po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
#	done

clean:
	rm -f $(TASKDESC) $(UTASKDESC) *~
	rm -rf debian/external-overrides
	$(MAKE) -C po clean
	$(MAKE) -C $(DESCPO) clean

=== debian/changelog ===
tasksel (3.68ubuntu2+11.0trisquel5) aramo; urgency=medium

  * Added Trisquel's tasks

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 10 Nov 2022 06:49:44 +0000

## tasksel 3.68ubuntu2+11.0trisquel6

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DESCDIR=tasks
 UDOMAIN=trisquel-tasks
 USUITE=aramo
-UFLAVOURS=trisquel-desktop triskel trisquel-mini trisquel-sugar trisquel-edu trisquel-pro trisquel-console
+UFLAVOURS=trisquel-desktop triskel trisquel-mini trisquel-sugar trisquel-gnome trisquel-console
 UTASKDESC=$(UDOMAIN).desc
 UDESCDIR=trisquel-tasks
 DESCPO=$(DESCDIR)/po

=== debian/changelog ===
tasksel (3.68ubuntu2+11.0trisquel6) aramo; urgency=medium

  * Added Trisquel's tasks

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 11 Jan 2023 20:13:03 +0000

=== debian/control ===
Source: tasksel
Section: admin
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: nicoo <nicoo@debian.org>
Standards-Version: 4.5.1
Build-Depends:
	debhelper-compat (= 13),
	dpkg-dev (>= 1.9.0),
	gettext,
	po-debconf
Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
Rules-Requires-Root: no

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data, perl-base (>= 5.14.0-1)
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Conflicts: tasksel (<< 2.67)
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.
